package com.sw.mes.yb.plan.service;


import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.plan.entity.YbProductionOrder;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface YbProductionOrderService extends BaseService<YbProductionOrder> {
    void close(YbProductionOrder sapProductionOrder);

    YbProductionOrder findByAufnr(String aufnr);


    List<YbProductionOrder> getYbProductionOrder(String productType, String dopant, String conductiveType, String specs, Date gmtCreate);

    YbProductionOrder getYbProductionOrderByMk(Map<String, Object> inspectMap,String productModelCode);

    /**
     * 查询范围时间与料号 是否 存在冲突的订单
     * @param matnr
     * @param gstrp
     * @param gltrp
     * @return
     */
    List<YbProductionOrder> findByProductCodeAndTime(String matnr, Date gstrp, Date gltrp);
}
